Subject: Outstanding Connect RIGlet issues

From: "Steve Klein" <[email-masked]>
Date: Fri, 9 Sep 94 09:21:49 EDT

Connect RIGleteers,

There are several issues outstanding issue in the Connect RIGlet before
Alan Bartky can produce a version of the DLSw document that can be
submitted for Approved Pages status.  Alan is on vacation until Sept 19.
When he gets back he would like to produce an AP version of the document
on Sept 23.  We should resolve all of these issues by the end of next
week (Sept 16).  That we allow me to submit to Alan on Sept 19 a summary
of all the document changes that result from our discussion.  Here is
what I see as the open issues and remaining work items:

  1) Explorer FSM - It looks like the group consensus on this issue is
     that the explorer FSM should be a separate FSM from the circuit
     FSM (if anyone thinks otherwise, let me know).  In my latest note
     I went so far as to say that maybe there should be a NETBIOS
     explorer FSM and a SNA FSM.  Please comment on this idea.

  2) Comments on my wording for retry absorption and propagation.
     I also want to know if an XID FSM describing the handling of XID
     commands and responses is deemed necessary.

  3) Comments on Gene Cox's proposed working for recognizing NETBIOS
     retries.

  4) Final comments on the discussion related to Paul Brittain's
     "Issues in latest spec (NetBIOS etc)".

  5) Comments on the FSM changes I proposed in my "Comments on DLSW
     State Machine section of dlsw012" note.

This is our last chance to clean up the Connect work.  Let's take
advantage of it.

Steve